Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066978 - Quota warning appears twice when adding cartridge to gear for non-scaling app with more than 90% quota consumed
Summary: Quota warning appears twice when adding cartridge to gear for non-scaling app...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: x86_64
OS: Mac OS
low
low
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 12:52 UTC by Wenjing Zheng
Modified: 2015-06-11 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-11 22:12:20 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-02-19 12:52:59 UTC
Description:
When adding cartridge to a gear which more than 90% capacity consumed,a quota warning message appears twice like below:
Warning: Gear 530478d1dbd93c58fa000163 is using 93.5% of disk quota
Warning: Gear 530478d1dbd93c58fa000163 is using 97.6% of disk quota

Version-Release number of selected component (if applicable):
STG(devenv-stage_702)

How reproducible:
always

steps to Reproduce:
1. Create an non-scaling app 
rhc app create app1 python-3.3
2. SSH into app1
3. Consume 90% space of the gear, e.g add a large file in app-root/data by "dd if=/dev/zero of=~/app-root/data/testfile bs=1M count=950"
4. Add a cartridge to the app. 
rhc cartridge add -a app1 -c mysql-5.1

Actual results:
The quota warning message appears twice with different value:
dhcp-8-223:wzheng root# rhc cartridge add -a jbossas -c mysql-5.1
Adding mysql-5.1 to application 'jbossas' ...
Warning: Gear 530478d1dbd93c58fa000163 is using 93.5% of disk quota
Warning: Gear 530478d1dbd93c58fa000163 is using 97.6% of disk quota
done

Expected results:
There should be only one warning.
Additional info:

Comment 1 Ma xiaoqiang 2014-04-29 01:23:24 UTC
This issue also exists on puddle [2.1/2014-04-28.1]


Note You need to log in before you can comment on or make changes to this bug.